devplugin

## Class PluginsProgramFilter

- java.lang.Object
- - devplugin.PluginsProgramFilter

- All Implemented Interfaces:
    ProgramFilter

      public abstract class PluginsProgramFilter
      extends java.lang.Object
      implements ProgramFilter

  Override this class to support filters for your plugin.
  Author:
    René Mach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginsProgramFilter(Plugin plugin)` Creates an instance of PluginsProgramFilter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `PluginAccess` | `getPluginAccessOfFilter()`
    `abstract java.lang.String` | `getSubName()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface devplugin.ProgramFilter

      `accept`

- - ### Constructor Detail

    - #### PluginsProgramFilter

          public PluginsProgramFilter(Plugin plugin)

      Creates an instance of PluginsProgramFilter.
      Parameters:
        `plugin` - The plugin to create for.

  - ### Method Detail

    - #### getSubName

          public abstract java.lang.String getSubName()

      Returns:
        The name part that the plugin sets.

    - #### getName

          public final java.lang.String getName()

      Specified by:
        `getName` in interface `ProgramFilter`
      Returns:
        The name of this filter component.

    - #### getPluginAccessOfFilter

          public PluginAccess getPluginAccessOfFilter()

      Returns:
        The plugin access for this filter.

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `ProgramFilter`
      Overrides:
        `toString` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)